function lintrafodemo
A=[0 1; 1 0];
close all
clf
set(1,'position',[50 100 950 550])
figure(1)
Ax1=axes('position',[.05 .22 .38 .65]);
Ax2=axes('position',[.57 .22 .38 .65]);
axes(Ax2)
uicontrol('Style','text','Max',1,'Min',0,...
        'string',' A','Position',[420 315 120 20]) 
uicontrol('Style','text','Max',1,'Min',0,...
        'string','----------->','Position',[420 300 120 20])
slider_winkel = uicontrol('Style','slider','Max',2*pi,'Min',-2*pi,...
        'Value',0,...
         'Position',[20 80 450 20]);
reset= uicontrol('Style','togglebutton','Max',1,'Min',0,...
        'Value',0,...
        'string','Reset','Position',[800 50 150 20]); 
beenden= uicontrol('Style','togglebutton','Max',1,'Min',0,...
        'Value',0,...
        'string','Programm beenden','Position',[800 20 150 20]);  
 uicontrol('Style','text','Max',1,'Min',0,...
        'string','Eintraege der Matrix A','Position',[500 80 170 20])
    a11= uicontrol('Style','edit','Max',1,'Min',0,...
        'string','1','Position',[500 50 80 20]); 
    a21= uicontrol('Style','edit','Max',1,'Min',0,...
        'string','0','Position',[500 20 80 20]); 
    a12= uicontrol('Style','edit','Max',1,'Min',0,...
        'string','0','Position',[600 50 80 20]); 
    a22= uicontrol('Style','edit','Max',1,'Min',0,...
        'string','1','Position',[600 20 80 20]); 
 k_zeig=uicontrol('Style','togglebutton','Max',1,'Min',0,...
        'Value',0,...
        'string','Kreis anzeigen','Position',[50 50 150 20]);
 e_zeig=uicontrol('Style','togglebutton','Max',1,'Min',0,...
        'Value',0,...
        'string','Ente_anzeigen','Position',[50 20 150 20]);
    b_zeig=uicontrol('Style','togglebutton','Max',1,'Min',0,...
        'Value',0,...
        'string','Vektor/Basis anzeigen','Position',[250 50 150 20]);
 basisjn=0;
    g_zeig=uicontrol('Style','togglebutton','Max',1,'Min',0,...
        'Value',1,...
        'string','Gitter anzeigen','Position',[250 20 150 20]); 
   basisfarbe1=[1 0 0];
   basisfarbe2=[0 1 0];
    alpha=linspace(-pi,pi,100);
    kreisx=cos(alpha);
    kreisy=sin(alpha);
    entex=.5*[0 1 1 1.5 2.5 3 3 4 2 2 1 -3.7 -5 -4 -3 0];
    entey=.5*[1 0 3.5 4 4 3.5 3 3 2 -1 -2 -2 1 0 1 1];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%% Gitterlinien %%%%%%%%%%%%
gitter=[]
for j=-20:20
    gitter=[gitter; [-50 50]; [j j]];
    gitter=[gitter;  [j j];[-50 50]];
end
[n,m]=size(gitter);anzahl_gitterlinien=n/2;
%%%%%%%%%%%%%%%%%% Gitterbasis %%%%%%%%%%%%%%%%%%
%
%
quit=0;bvjn=0;
while quit==0 
quit=get(beenden,'Value');
resetjn=get(reset,'Value');
kreisjn=get(k_zeig,'Value');
entejn=get(e_zeig,'Value');
basisjn_old=basisjn;
basisjn=get(b_zeig,'Value');
if basisjn~=basisjn_old
    bvjn=mod(bvjn+1,3);
end
gitterjn=get(g_zeig,'Value');
t=get(slider_winkel,'Value');
B=[cos(t) -sin(t);sin(t) cos(t)];
A(1,1)=str2num(get(a11,'string'));
A(1,2)=str2num(get(a12,'string'));
A(2,1)=str2num(get(a21,'string'));
A(2,2)=str2num(get(a22,'string'));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
axes(Ax1)
cla
hold on 
axis([-5 5 -5 5])
title('Urbild','fontsize',20)
if gitterjn==1
for k=1:anzahl_gitterlinien
    x=B(1,1)*gitter(2*k-1,:)+B(1,2)*gitter(2*k,:);
    y=B(2,1)*gitter(2*k-1,:)+B(2,2)*gitter(2*k,:);
    plot(x,y)
end
end
    if kreisjn==1
        plot(kreisx,kreisy,'color',[.4 0 1],'linewidth',2)
    end
    if entejn==1
        plot(entex,entey,'k','linewidth',3)
    end
      if bvjn==1 
        plot([0 B(1,1)],[0 B(2,1)],'color',basisfarbe1,'linewidth',5)
      end
        if bvjn==2 
        plot([0 B(1,1)],[0 B(2,1)],'color',basisfarbe1,'linewidth',5)
         plot([0 B(1,2)],[0 B(2,2)],'color',basisfarbe2,'linewidth',5)
    end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    axes(Ax2)
    cla
hold on 
axis([-5 5 -5 5])
title('Lineares Bild','fontsize',20)
C=A*B;
if gitterjn==1
for k=1:anzahl_gitterlinien
    x=C(1,1)*gitter(2*k-1,:)+C(1,2)*gitter(2*k,:);
    y=C(2,1)*gitter(2*k-1,:)+C(2,2)*gitter(2*k,:);
    plot(x,y)
end
end
if kreisjn==1
    plot(A(1,1)*kreisx+A(1,2)*kreisy,A(2,1)*kreisx+A(2,2)*kreisy,'color',[.4 0 1],'linewidth',2)
end
if entejn==1
    plot(A(1,1)*entex+A(1,2)*entey,A(2,1)*entex+A(2,2)*entey,'k','linewidth',3)
end
if bvjn==1 
        plot([0 C(1,1)],[0 C(2,1)],'color',basisfarbe1,'linewidth',5)
end
if bvjn==2 
        plot([0 C(1,1)],[0 C(2,1)],'color',basisfarbe1,'linewidth',5)
         plot([0 C(1,2)],[0 C(2,2)],'color',basisfarbe2,'linewidth',5)
end
    if resetjn==1
        set(a11,'string','1')
        A(1,1)=1;
        set(a12,'string','0')
        A(1,2)=0;
        set(a21,'string','0')
        A(2,1)=0;
        set(a22,'string','1')
        A(2,2)=1;
        set(b_zeig,'value',0)
        set(k_zeig,'value',0)
        set(g_zeig,'value',1)
        set(e_zeig,'value',0)
        set(reset,'value',0)
        set(slider_winkel,'value',0)
        B=eye(2);
        bvjn=0;
    end
end
close all